Intel AX201 8086:7af0 subsys 8086:4070 hardware reset periodically: FW error in SYNC CMD UNKNOWN

Bug #1941665 reported by You-Sheng Yang
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Fix Released
Undecided
Unassigned
linux (Ubuntu)
Fix Released
Undecided
Unassigned
Focal
Invalid
Undecided
Unassigned
Impish
Won't Fix
Undecided
Unassigned
linux-oem-5.13 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Released
High
You-Sheng Yang
Impish
Invalid
Undecided
Unassigned

Bug Description

[SRU Justification]

[Impact]

After applied patches from bug 1933938 to enable AX201 on ADL platforms,
some of them may still fail to functioning stably due to fw error when
LARI_CONFIG_CHANGE command is sent. With CONFIG_IWLWIFI_DEBUG turned on,
following error appears:

  iwlwifi 0000:00:14.3: iwl_mvm_lari_cfg sending LARI_CONFIG_CHANGE,
config_bitmap=0x8, oem_11ax_allow_bitmap=0xf
  iwlwifi 0000:00:14.3: iwl_trans_txq_send_hcmd_sync Attempting to send
sync command UNKNOWN
  iwlwifi 0000:00:14.3: iwl_trans_txq_send_hcmd_sync Setting HCMD_ACTIVE
for command UNKNOWN

Then begin FW error, hardware reset.

[Fix]

Commit 54b4fda5a761 ("iwlwifi: mvm: Read acpi dsm to get unii4
enable/disable bitmap") is required to fix this issue. The other commit
is pulled in for dependency.

[Test Case]

Install a prebuilt kernel with these fixes, put DUT under idle for 5
mins and check if there is still firmware error messages.

[Where problems could occur]

There is little chance that it can ever go wrong judging from the
simplexity of the two commits.

[Other Info]

While the two patches have already been included in mainline and
therefore Ubuntu unstable, only oem-5.13 and impish are nominated.

========== original bug report ==========

After applied patches from bug 1933938 to enable AX201 on ADL platforms, some of them may still fail to functioning stably due to fw error when LARI_CONFIG_CHANGE command is sent. With CONFIG_IWLWIFI_DEBUG turned on, following error appears:

  iwlwifi 0000:00:14.3: iwl_mvm_lari_cfg sending LARI_CONFIG_CHANGE, config_bitmap=0x8, oem_11ax_allow_bitmap=0xf
  iwlwifi 0000:00:14.3: iwl_trans_txq_send_hcmd_sync Attempting to send sync command UNKNOWN
  iwlwifi 0000:00:14.3: iwl_trans_txq_send_hcmd_sync Setting HCMD_ACTIVE for command UNKNOWN

Then begin FW error, hardware reset:

[ 12.469094] kernel: RIP: 0033:0x7f8de181612d
[ 12.469097] kernel: Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ee ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44
 89 c7 48 89 44 24 08 e8 fe ee ff ff 48
[ 12.469099] kernel: RSP: 002b:00007fff1de04900 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[ 12.469102] kernel: RAX: ffffffffffffffda RBX: 00005622f7660880 RCX: 00007f8de181612d
[ 12.469103] kernel: RDX: 0000000000000000 RSI: 00007fff1de04950 RDI: 000000000000000c
[ 12.469104] kernel: RBP: 00007fff1de04950 R08: 0000000000000000 R09: 0000000000000000
[ 12.469105] kernel: R10: 0000000000000001 R11: 0000000000000293 R12: 00005622f7660880
[ 12.469106] kernel: R13: 00007fff1de04b08 R14: 00007fff1de04afc R15: 0000000000000000
[ 13.170483] kernel: iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
[ 13.170580] kernel: iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[ 13.170581] kernel: iwlwifi 0000:00:14.3: Transport status: 0x0000004B, valid: 6
[ 13.170582] kernel: iwlwifi 0000:00:14.3: Loaded firmware version: 64.97bbee0a.0 so-a0-hr-b0-64.ucode
[ 13.170583] kernel: iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
[ 13.170584] kernel: iwlwifi 0000:00:14.3: 0x000002F0 | trm_hw_status0
[ 13.170585] kernel: iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
[ 13.170585] kernel: iwlwifi 0000:00:14.3: 0x004D83E4 | branchlink2
[ 13.170586] kernel: iwlwifi 0000:00:14.3: 0x004CEB8A | interruptlink1
[ 13.170587] kernel: iwlwifi 0000:00:14.3: 0x004CEB8A | interruptlink2
[ 13.170587] kernel: iwlwifi 0000:00:14.3: 0x00014EBE | data1
[ 13.170588] kernel: iwlwifi 0000:00:14.3: 0x00000010 | data2
[ 13.170588] kernel: iwlwifi 0000:00:14.3: 0x00000000 | data3
...
[ 13.170740] kernel: iwlwifi 0000:00:14.3: 0x05B0905B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[ 13.170745] kernel: iwlwifi 0000:00:14.3: 0x0000025B | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[ 13.170747] kernel: iwlwifi 0000:00:14.3: Firmware error during reconfiguration - reprobe!
[ 13.170759] kernel: iwlwifi 0000:00:14.3: FW error in SYNC CMD UNKNOWN
[ 13.170762] kernel: iwlwifi 0000:00:14.3: LED command failed: -5
[ 13.170770] kernel: CPU: 10 PID: 900 Comm: wpa_supplicant Tainted: P W O 5.13.0-9009-oem #10+staging.2-Ubuntu
[ 13.170777] kernel: iwlwifi 0000:00:14.3: LED command failed: -5
[ 13.170782] kernel: Hardware name: Dell Inc. Inspiron 3910/, BIOS 0.10.25 07/23/2021
[ 13.170786] kernel: Call Trace:
[ 13.170794] kernel: dump_stack+0x7d/0x9c
[ 13.170799] kernel: iwl_trans_txq_send_hcmd+0x457/0x460 [iwlwifi]
[ 13.170816] kernel: ? wait_woken+0x80/0x80
[ 13.170819] kernel: iwl_trans_send_cmd+0x6a/0x100 [iwlwifi]
[ 13.170832] kernel: iwl_mvm_send_cmd+0x1f/0x50 [iwlmvm]
[ 13.170845] kernel: iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[ 13.170856] kernel: iwl_mvm_up+0x7ab/0xcb0 [iwlmvm]
[ 13.170863] kernel: ? ieee80211_wake_queues_by_reason+0xad/0xd0 [mac80211]
[ 13.170900] kernel: __iwl_mvm_mac_start+0x2b/0x190 [iwlmvm]
[ 13.170908] kernel: iwl_mvm_mac_start+0x2a/0x40 [iwlmvm]
[ 13.170917] kernel: drv_start+0x43/0xd0 [mac80211]
[ 13.170934] kernel: ieee80211_do_open+0x394/0x810 [mac80211]
[ 13.170954] kernel: ieee80211_open+0x6c/0x90 [mac80211]
[ 13.170971] kernel: __dev_open+0xec/0x180
[ 13.170975] kernel: __dev_change_flags+0x188/0x1e0
[ 13.170977] kernel: dev_change_flags+0x26/0x60
[ 13.170979] kernel: devinet_ioctl+0x608/0x770
[ 13.170982] kernel: ? copy_msghdr_from_user+0x5c/0x90
[ 13.170985] kernel: inet_ioctl+0x190/0x1c0
[ 13.170987] kernel: ? netdev_name_node_lookup_rcu+0x6c/0x80
[ 13.170990] kernel: ? dev_get_by_name_rcu+0xe/0x20
[ 13.170992] kernel: ? dev_ioctl+0x28d/0x480
[ 13.170995] kernel: sock_do_ioctl+0x47/0x140
[ 13.170998] kernel: sock_ioctl+0x246/0x330
[ 13.170999] kernel: ? __sys_recvmsg+0x5f/0xb0
[ 13.171000] kernel: __x64_sys_ioctl+0x91/0xc0
[ 13.171003] kernel: do_syscall_64+0x40/0xb0
[ 13.171006] kernel: entry_SYSCALL_64_after_hwframe+0x44/0xae
[ 13.171008] kernel: RIP: 0033:0x7f37b24bd50b
[ 13.171010] kernel: Code: 0f 1e fa 48 8b 05 85 39 0d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 55 39 0d 00 f7 d8 64 89 01 48
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.18
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: u 1155 F.... pulseaudio
CasperMD5CheckResult: skip
DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-focal-amd64-20200502-85+fossa-davos-adl+X142
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2021-08-12 (13 days ago)
InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 20200502-05:58
IwConfig:
 lo no wireless extensions.

 enp1s0 no wireless extensions.

 wlp0s20f3 No such device
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
 Bus 001 Device 004: ID 8087:0026 Intel Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Inspiron 3910
Package: linux (not installed)
ProcFB: 0 i915
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.13.0-9011-oem root=UUID=690ccaae-e756-4a5c-90ac-8d2dd20560bc ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.13.0-9011.12+staging.12.iwlwifi.debug-oem 5.13.1
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-5.13.0-9011-oem N/A
 linux-backports-modules-5.13.0-9011-oem N/A
 linux-firmware 1.187.16+staging.11
Tags: focal
Uname: Linux 5.13.0-9011-oem x86_64
UnreportableReason: This report is about a package that is not installed.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: N/A
_MarkForUpload: False
dmi.bios.date: 08/06/2021
dmi.bios.release: 0.10
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 0.10.28
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr0.10.28:bd08/06/2021:br0.10:svnDellInc.:pnInspiron3910:pvr:sku0AD3:rvnDellInc.:rn:rvr:cvnDellInc.:ct3:cvr:
dmi.product.family: OptiPlex
dmi.product.name: Inspiron 3910
dmi.product.sku: 0AD3
dmi.sys.vendor: Dell Inc.

You-Sheng Yang (vicamo)
tags: added: oem-priority originate-from-1938017 somerville
You-Sheng Yang (vicamo)
Changed in linux (Ubuntu Focal):
status: New → Invalid
Changed in linux-oem-5.13 (Ubuntu Impish):
status: New → Invalid
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1941665

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: impish
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Need following two fixes from https://www.spinics.net/lists/linux-wireless/msg211717.html:
* 7119f02b5d34 (“iwlwifi: mvm: support BIOS enable/disable for 11ax in Russia”)
* 54b4fda5a761 ("iwlwifi: mvm: Read acpi dsm to get unii4 enable/disable bitmap.")

description: updated
tags: added: apport-collected focal
description: updated
Revision history for this message
You-Sheng Yang (vicamo) wrote : AlsaInfo.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : CRDA.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : CurrentDmesg.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lspci.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lspci-vt.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lsusb-t.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lsusb-v.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcEnviron.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcInterrupts.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcModules.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : RfKill.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : UdevDb.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : WifiSyslog.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : acpidump.txt

apport information

Changed in linux-oem-5.13 (Ubuntu Focal):
status: New → In Progress
importance: Undecided → High
assignee: nobody → You-Sheng Yang (vicamo)
Revision history for this message
You-Sheng Yang (vicamo) wrote :

While this depending on bug 1933938, which is not yet committed to oem-5.13, so this would affect only oem-5.13/Impish, and v5.14 kernels are not affected for they have the solution already.

Revision history for this message
You-Sheng Yang (vicamo) wrote :

PPA: https://launchpad.net/~vicamo/+archive/ubuntu/linux-staging, starting from version 5.13.0-9011.13+staging.13

Revision history for this message
You-Sheng Yang (vicamo) wrote :
description: updated
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.13 (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
You-Sheng Yang (vicamo) wrote :
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.13 - 5.13.0-1017.21

---------------
linux-oem-5.13 (5.13.0-1017.21) focal; urgency=medium

  * focal/linux-oem-5.13: 5.13.0-1017.21 -proposed tracker (LP: #1946722)

  * Intel AX201 8086:7af0 subsys 8086:4070 hardware reset periodically: FW error
    in SYNC CMD UNKNOWN (LP: #1941665)
    - iwlwifi: mvm: support BIOS enable/disable for 11ax in Russia
    - iwlwifi: mvm: Read acpi dsm to get unii4 enable/disable bitmap.

 -- Timo Aaltonen <email address hidden> Tue, 12 Oct 2021 11:54:40 +0300

Changed in linux-oem-5.13 (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Impish):
status: Incomplete → Triaged
Revision history for this message
Brian Murray (brian-murray) wrote :

Ubuntu 21.10 (Impish Indri) has reached end of life, so this bug will not be fixed for that specific release.

Changed in linux (Ubuntu Impish):
status: Triaged → Won't Fix
Timo Aaltonen (tjaalton)
Changed in hwe-next:
status: New → Fix Released
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers